<?xml version="1.0" encoding="utf-8"?>
<templates filepath="c:\me\pwk\tab2sql\tab2sql\bin\" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="C:\Me\PJS\Template\example.xsd">
	<template id="tasklist1" name="tasklist">
		<template_name>tasklist console output</template_name>
		<version>1</version>
		<updated>2009-10-27 00:00:00</updated>
		<delimiter>fixed</delimiter>
		<headingsrule>strict</headingsrule>
		<columns>
			<column id="1">
				<name>image name</name>
				<dbname>image_name</dbname>
				<strictname>Image Name</strictname>
				<datatype>varchar</datatype>
				<maxlength>30</maxlength>
				<nullable>True</nullable>
				<fixedstart>0</fixedstart>
				<fixedend>31</fixedend>
				<mandatory>true</mandatory>
			</column>
			<column id="2">
				<name>process identifier</name>
				<dbname>pid</dbname>
				<strictname>PID</strictname>
				<datatype>integer</datatype>
				<maxlength>10</maxlength>
				<nullable>False</nullable>
				<fixedstart>31</fixedstart>
				<fixedend>35</fixedend>
				<mandatory>true</mandatory>
			</column>
			<column id="3">
				<name>session name</name>
				<dbname>session_name</dbname>
				<strictname>Session Name</strictname>
				<datatype>varchar</datatype>
				<maxlength>10</maxlength>
				<nullable>False</nullable>
				<fixedstart>36</fixedstart>
				<fixedend>56</fixedend>
				<mandatory>true</mandatory>
			</column>
			<column id="4">
				<name>session number</name>
				<dbname>session_nbr</dbname>
				<strictname>Session#</strictname>
				<datatype>integer</datatype>
				<maxlength>2</maxlength>
				<nullable>False</nullable>
				<fixedstart>56</fixedstart>
				<fixedend>60</fixedend>
				<mandatory>true</mandatory>
			</column>
			<column id="5">
				<name>memusage</name>
				<dbname>memusage</dbname>
				<strictname>Mem Usage</strictname>
				<datatype>string</datatype>
				<maxlength>10</maxlength>
				<nullable>false</nullable>
				<fixedstart>61</fixedstart>
				<fixedend>80</fixedend>
				<mandatory>true</mandatory>
				<commands>
					<command order="1">trim</command>
					<command order="2">replace([--THIS--]," K", "")</command>
				</commands>
			</column>
		</columns>
	</template>
	<template id="puffinworks1" name="puffinWorkSheet">
		<template_name>puffin work sheet</template_name>
		<delimiter>pipe</delimiter>
		<version>1</version>
		<updated>2009-10-27 00:00</updated>
		<headingsrule>default</headingsrule>
		<columns>
			<column id="1">
				<name>rowno</name>
				<dbname>rowno</dbname>
				<datatype>integer</datatype>
				<nullable>false</nullable>
				<mandatory>true</mandatory>
				<maxlength>10</maxlength>
			</column>
			<column id="2">
				<name>Project Code</name>
				<dbname>project_code</dbname>
				<datatype>varchar</datatype>
				<nullable>false</nullable>
				<maxlength>6</maxlength>
			</column>
			<column id="3">
				<name>UPRN</name>
				<dbname>uprn</dbname>
				<datatype>varchar</datatype>
				<nullable>false</nullable>
				<maxlength>16</maxlength>
			</column>
			<column id="4">
				<name>Work Code</name>
				<dbname>work_code</dbname>
				<datatype>varchar</datatype>
				<nullable>false</nullable>
				<maxlength>16</maxlength>
			</column>
			<column id="5">
				<name>Cost</name>
				<dbname>cost</dbname>
				<datatype>money</datatype>
				<nullable>false</nullable>
				<maxlength>16</maxlength>
			</column>
			<column id="6">
				<name>contractor</name>
				<dbname>contractor_id</dbname>
				<datatype>varchar</datatype>
				<nullable>false</nullable>
				<maxlength>5</maxlength>
				<mandatory>true</mandatory>
			</column>
			<column id="7">
				<name>percentage complete</name>
				<dbname>pct</dbname>
				<datatype>numeric</datatype>
				<nullable>true</nullable>
				<maxvalue>1</maxvalue>
				<minvalue>0</minvalue>
				<mandatory>false</mandatory>
			</column>
			<column id="7">
				<name>date complete</name>
				<dbname>date_finished</dbname>
				<datatype>datetime</datatype>
				<nullable>true</nullable>
				<mandatory>false</mandatory>
			</column>
		</columns>
	</template>
</templates>
